Index: issm/trunk/test/NightlyRun/IdToName.py
===================================================================
--- issm/trunk/test/NightlyRun/IdToName.py	(revision 12709)
+++ issm/trunk/test/NightlyRun/IdToName.py	(revision 13395)
@@ -1,296 +1,162 @@
 #! /usr/bin/env python
-"""
-IDTONAME- return name of test
+
+def IdToName(id):
+	"""
+	IDTONAME- return name of test
  
-    Usage:
-       name=IdToName(id)
-"""
-
-def IdToName(id):
+	    Usage:
+	       name=IdToName(id)
+	"""
+
 	idname={
-		101 : 'SquareShelfConstrainedDiagM2dSerial',
-		102 : 'SquareShelfConstrainedDiagM2dParallel',
-		103 : 'SquareShelfConstrainedDiagM3dSerial',
-		104 : 'SquareShelfConstrainedDiagM3dParallel',
-		105 : 'SquareShelfConstrainedDiagP3dSerial',
-		106 : 'SquareShelfConstrainedDiagP3dParallel',
-		107 : 'SquareShelfConstrainedDiagS3dSerial',
-		108 : 'SquareShelfConstrainedDiagS3dParallel',
-		109 : 'SquareShelfConstrainedProg2dSerial',
-		110 : 'SquareShelfConstrainedProg2dParallel',
-		111 : 'SquareShelfConstrainedProg2dDGSerial',
-		112 : 'SquareShelfConstrainedProg2dDGParallel',
-		113 : 'SquareShelfConstrainedProg3dSerial',
-		114 : 'SquareShelfConstrainedProg3dParallel',
-		115 : 'SquareShelfConstrainedTherSteaSerial',
-		116 : 'SquareShelfConstrainedTherSteaParallel',
-		117 : 'SquareShelfConstrainedTherTranSerial',
-		118 : 'SquareShelfConstrainedTherTranParallel',
-		119 : 'SquareShelfConstrainedTranM2dSerial',
-		120 : 'SquareShelfConstrainedTranM2dParallel',
-		121 : 'SquareShelfConstrainedTranP3dSerial',
-		122 : 'SquareShelfConstrainedTranP3dParallel',
-		123 : 'SquareShelfConstrainedSurfSlop2dSerial',
-		124 : 'SquareShelfConstrainedSurfSlop2dParallel',
-		125 : 'SquareShelfConstrainedSurfSlop3dSerial',
-		126 : 'SquareShelfConstrainedSurfSlope3dParallel',
-		127 : 'SquareShelfConstrainedBedSlop2dSerial',
-		128 : 'SquareShelfConstrainedBedSlop2dParallel',
-		129 : 'SquareShelfConstrainedBedSlop3dSerial',
-		130 : 'SquareShelfConstrainedBedSlop3dParallel',
-		131 : 'SquareShelfConstrainedBalThic2dSerial',
-		132 : 'SquareShelfConstrainedBalThic2dParallel',
-		133 : 'SquareShelfConstrainedBalThic3dSerial',
-		134 : 'SquareShelfConstrainedBalThic3dParallel',
-		135 : 'SquareShelfConstrainedBalThic2dDGSerial',
-		136 : 'SquareShelfConstrainedBalThic2dDGParallel',
-		137 : 'SquareBamgMesh',
-		139 : 'SquareShelfConstrainedEnthalpySteaSerial',
-		140 : 'SquareShelfConstrainedEnthalpySteaParallel',
-		141 : 'SquareShelfConstrainedEnthalpyTranSerial',
-		142 : 'SquareShelfConstrainedEnthalpyTranParallel',
-		143 : 'SquareShelfConstrainedTransP3dEnthSerial',
-		144 : 'SquareShelfConstrainedTransP3dEnthParallel',
-		201 : 'SquareShelfDiagM2dSerial',
-		202 : 'SquareShelfDiagM2dParallel',
-		203 : 'SquareShelfDiagM3dSerial',
-		204 : 'SquareShelfDiagM3dParallel',
-		205 : 'SquareShelfDiagP3dSerial',
-		206 : 'SquareShelfDiagP3dParallel',
-		207 : 'SquareShelfDiagS3dSerial',
-		208 : 'SquareShelfDiagS3dParallel',
-		209 : 'SquareShelfDiagMP3dPenaltiesSerial',
-		210 : 'SquareShelfDiagMP3dPenaltiesParallel',
-		211 : 'SquareShelfTherSteaSerial',
-		212 : 'SquareShelfTherSteaParallel',
-		213 : 'SquareShelfTherTranSerial',
-		214 : 'SquareShelfTherTranParallel',
-		215 : 'SquareShelfTranM2dSerial',
-		216 : 'SquareShelfTranM2dParallel',
-		217 : 'SquareShelfTranM3dSerial',
-		218 : 'SquareShelfTranM3dParallel',
-		219 : 'SquareShelfTranP3dSerial',
-		220 : 'SquareShelfTranP3dParallel',
-		221 : 'SquareShelfTranS3dSerial',
-		222 : 'SquareShelfTranS3dParallel',
-		223 : 'SquareShelfCMBM2dSerial',
-		224 : 'SquareShelfCMBM2dParallel',
-		225 : 'SquareShelfCMBM3dSerial',
-		226 : 'SquareShelfCMBM3dParallel',
-		227 : 'SquareShelfCMBP3dSerial',
-		228 : 'SquareShelfCMBP3dParallel',
-		229 : 'SquareShelfCMBS3dSerial',
-		230 : 'SquareShelfCMBS3dParallel',
-		231 : 'SquareShelfDiagM2dRiftSerial',
-		232 : 'SquareShelfDiagM2dRiftParallel',
-		233 : 'SquareShelfConstrainedSerial',
-		234 : 'SquareShelfConstrainedParallel',
-		235 : 'SquareShelfConstrainedDakotaBSerial',
-		236 : 'SquareShelfConstrainedDakotaBParallel',
-		237 : 'SquareShelfDiagMP3dTilingSerial',
-		238 : 'SquareShelfDiagMP3dTilingParallel',
-		239 : 'SquareShelfDiagPS3dTilingSerial',
-		240 : 'SquareShelfDiagPS3dTilingParallel',
-		241 : 'SquareShelfDiagMS3dTilingSerial',
-		242 : 'SquareShelfDiagMS3dTilingParallel',
-		243 : 'SquareShelfDiagM2dTransientIncrHydroSerial',
-		244 : 'SquareShelfDiagM2dTransientIncrHydroParallel',
-		245 : 'SquareShelfDiagM2dTransientIncrNonHydroSerial',
-		246 : 'SquareShelfDiagM2dTransientIncrNonHydroParallel',
-		247 : 'SquareShelfDiagP3dTransientIncrHydroSerial',
-		248 : 'SquareShelfDiagP3dTransientIncrHydroParallel',
-		249 : 'SquareShelfDiagP3dTransientIncrNonHydroSerial',
-		250 : 'SquareShelfDiagP3dTransientIncrNonHydroParallel',
-		251 : 'SquareShelfTranCflM2dSerial',
-		252 : 'SquareShelfTranCflM2dParallel',
-		253 : 'SquareShelfTranCflP3dSerial',
-		254 : 'SquareShelfTranCflP3dParallel',
-		255 : 'SquareShelfTranForceNeg2dSerial',
-		256 : 'SquareShelfTranForceNeg2dParallel',
-		257 : 'SquareShelfTranForcePos2dSerial',
-		258 : 'SquareShelfTranForcePos2dParallel',
-		259 : 'SquareShelfTranForceNeg3dSerial',
-		260 : 'SquareShelfTranForceNeg3dParallel',
-		261 : 'SquareShelfTranForcePos3dSerial',
-		262 : 'SquareShelfTranForcePos3dParallel',
-		263 : 'SquareShelfTherTranForcTempSerial',
-		264 : 'SquareShelfTherTranForcTempParallel',
-		265 : 'SquareShelfTranP3dForcTempSerial',
-		266 : 'SquareShelfTranP3dForcTempParallel',
-		267 : 'SquareShelfTranForceNeg2dDakotaSamp',
-   	268 : 'SquareShelfTranForceNeg2dDakotaLocal',
-		301 : 'SquareSheetConstrainedDiagM2dSerial',
-		302 : 'SquareSheetConstrainedDiagM2dParallel',
-		303 : 'SquareSheetConstrainedDiagH2dSerial',
-		304 : 'SquareSheetConstrainedDiagH2dParallel',
-		305 : 'SquareSheetConstrainedDiagHM2dSerial',
-		306 : 'SquareSheetConstrainedDiagHM2dParallel',
-		307 : 'SquareSheetConstrainedDiagM3dSerial',
-		308 : 'SquareSheetConstrainedDiagM3dParallel',
-		309 : 'SquareSheetConstrainedDiagH3dSerial',
-		310 : 'SquareSheetConstrainedDiagH3dParallel',
-		311 : 'SquareSheetConstrainedDiagHM3dSerial',
-		312 : 'SquareSheetConstrainedDiagHM3dParallel',
-		313 : 'SquareSheetConstrainedDiagP3dSerial',
-		314 : 'SquareSheetConstrainedDiagP3dParallel',
-		315 : 'SquareSheetConstrainedDiagS3dSerial',
-		316 : 'SquareSheetConstrainedDiagS3dParallel',
-		317 : 'SquareSheetConstrainedProg2dSerial',
-		318 : 'SquareSheetConstrainedProg2dParallel',
-		319 : 'SquareSheetConstrainedProg2dDGSerial',
-		320 : 'SquareSheetConstrainedProg2dDGParallel',
-		321 : 'SquareSheetConstrainedProg3dSerial',
-		322 : 'SquareSheetConstrainedProg3dParallel',
-		323 : 'SquareSheetConstrainedTherSteaSerial',
-		324 : 'SquareSheetConstrainedTherSteaParallel',
-		325 : 'SquareSheetConstrainedTherTranSerial',
-		326 : 'SquareSheetConstrainedTherTranParallel',
-		327 : 'SquareSheetConstrainedTranH2dSerial',
-		328 : 'SquareSheetConstrainedTranH2dParallel',
-		329 : 'SquareSheetConstrainedTranH3dSerial',
-		330 : 'SquareSheetConstrainedTranH3dParallel',
-		331 : 'SquareSheetConstrainedTranM2dSerial',
-		332 : 'SquareSheetConstrainedTranM2dParallel',
-		333 : 'SquareSheetConstrainedTranP3dSerial',
-		334 : 'SquareSheetConstrainedTranP3dParallel',
-		335 : 'SquareSheetConstrainedSteaH3dSerial',
-		336 : 'SquareSheetConstrainedSteaH3dParallel',
-		337 : 'SquareSheetConstrainedCMDragM2dSerial',
-		338 : 'SquareSheetConstrainedCMDragM2dParallel',
-		339 : 'SquareSheetConstrainedCMDragM3dSerial',
-		340 : 'SquareSheetConstrainedCMDragM3dParallel',
-		341 : 'SquareSheetConstrainedCMDragP3dSerial',
-		342 : 'SquareSheetConstrainedCMDragP3dParallel',
-		343 : 'SquareSheetConstrainedCMDragS3dSerial',
-		344 : 'SquareSheetConstrainedCMDragS3dParallel',
-		345 : 'SquareSheetConstrainedTranCflM2dSerial',
-		346 : 'SquareSheetConstrainedTranCflM2dParallel',
-		347 : 'SquareSheetConstrainedTranCflH3dSerial',
-		348 : 'SquareSheetConstrainedTranCflH3dParallel',
-		349 : 'SquareSheetConstrainedEnthalpySteaSerial',
-		350 : 'SquareSheetConstrainedEnthalpySteaParallel',
-		351 : 'SquareSheetConstrainedEnthalpyTranSerial',
-		352 : 'SquareSheetConstrainedEnthalpyTranParallel',
-		353 : 'SquareSheetConstrainedTransP3dEnthSerial',
-		354 : 'SquareSheetConstrainedTransP3dEnthParallel',
-		401 : 'SquareSheetShelfDiagM2dSerial',
-		402 : 'SquareSheetShelfDiagM2dParallel',
-		403 : 'SquareSheetShelfDiagM3dSerial',
-		404 : 'SquareSheetShelfDiagM3dParallel',
-		405 : 'SquareSheetShelfDiagP3dSerial',
-		406 : 'SquareSheetShelfDiagP3dParallel',
-		407 : 'SquareSheetShelfDiagS3dSerial',
-		408 : 'SquareSheetShelfDiagS3dParallel',
-		409 : 'SquareSheetShelfDiagMP3dPenaltiesSerial',
-		410 : 'SquareSheetShelfDiagMP3dPenaltiesParallel',
-		411 : 'SquareSheetShelfTherSteaSerial',
-		412 : 'SquareSheetShelfTherSteaParallel',
-		413 : 'SquareSheetShelfTherTranSerial',
-		414 : 'SquareSheetShelfTherTranParallel',
-		415 : 'SquareSheetShelfTranM2dSerial',
-		416 : 'SquareSheetShelfTranM2dParallel',
-		417 : 'SquareSheetShelfTranMP3dPenaltiesSerial',
-		418 : 'SquareSheetShelfTranMP3dPenaltiesParallel',
-		419 : 'SquareSheetShelfSteaM3dSerial',
-		420 : 'SquareSheetShelfSteaM3dParallel',
-		421 : 'SquareSheetShelfSteaP3dSerial',
-		422 : 'SquareSheetShelfSteaP3dParallel',
-		423 : 'SquareSheetShelfDiadM3dDakotaSerial',
-		424 : 'SquareSheetShelfDiadM3dDakotaParallel',
-		425 : 'SquareSheetShelfDiadM3dDakotaPartSerial',
-		426 : 'SquareSheetShelfDiadM3dDakotaPartParallel',
-		427 : 'SquareSheetShelfDiadM3dDakotaMassFluxSerial',
-		428 : 'SquareSheetShelfDiadM3dDakotaMassFluxParallel',
-		429 : 'SquareSheetShelfCMDragSteaM3dSerial',
-		430 : 'SquareSheetShelfCMDragSteaM3dParallel',
-		431 : 'SquareSheetShelfCMDragSteaP3dSerial',
-		432 : 'SquareSheetShelfCMDragSteaP3dParallel',
-		434 : 'SquareSheetShelfDiadM3dDakotaSamp',
-		435 : 'SquareSheetShelfDiadM3dDakotaAreaAverage',
-		437 : 'SquareSheetShelfDiagMP3dTilingSerial',
-		438 : 'SquareSheetShelfDiagMP3dTilingParallel',
-		439 : 'SquareSheetShelfDakotaScaledResponse',
-		440 : 'SquareSheetShelfDakotaScaledResponse',
-		441 : 'SquareSheetShelfDiagPS3dTilingSerial',
-		442 : 'SquareSheetShelfDiagPS3dTilingParallel',
-		443 : 'SquareSheetShelfDiagMS3dTilingSerial',
-		444 : 'SquareSheetShelfDiagMS3dTilingParallel',
-		445 : 'RoundSheetShelfGLMigrationM2dSerial',
-		446 : 'RoundSheetShelfGLMigrationM2dParallel',
-		447 : 'SquareSheetShelfGroundingLine2dAgressiceSerial',
-		448 : 'SquareSheetShelfGroundingLine2dAgressiceParallel',
-		449 : 'SquareSheetShelfGroundingLine2dSoftSerial',
-		450 : 'SquareSheetShelfGroundingLine2dSoftParallel',
-		451 : 'SquareSheetShelfGroundingLine3dAgressiceSerial',
-		452 : 'SquareSheetShelfGroundingLine3dAgressiceParallel',
-		453 : 'SquareSheetShelfGroundingLine3dSoftSerial',
-		454 : 'SquareSheetShelfGroundingLine3dSoftParallel',
-		455 : 'SquareSheetShelfDiagM2dNewtonSerial',
-		456 : 'SquareSheetShelfDiagM2dNewtonParallel',
-		457 : 'SquareSheetShelfDiagP3dNewtonSerial',
-		458 : 'SquareSheetShelfDiagP3dNewtonParallel',
-		459 : 'SquareSheetShelfDiagS3dNewtonSerial',
-		460 : 'SquareSheetShelfDiagS3dNewtonParallel',
-		461 : 'SquareSheetShelfSteaEnthalpyM3dSerial',
-		462 : 'SquareSheetShelfSteaEnthalpyM3dParallel',
-		463 : 'SquareSheetShelfSteaEnthalpyP3dSerial',
-		464 : 'SquareSheetShelfSteaEnthalpyP3dParallel',
-		501 : 'PigDiagM2dSerial',
-		502 : 'PigDiagM2dParallel',
-		503 : 'PigDiagP3dSerial',
-		504 : 'PigDiagP3dParallel',
-		505 : 'PigDiagS3dSerial',
-		506 : 'PigDiagS3dParallel',
-		507 : 'PigTranM2dSerial',
-		508 : 'PigTranM2dParallel',
-		509 : 'PigTranM3dSerial',
-		510 : 'PigTranM3dParallel',
-		511 : 'PigTranP3dSerial',
-		512 : 'PigTranP3dParallel',
-		513 : 'PigTranS3dSerial',
-		514 : 'PigTranS3dParallel',
-		515 : 'PigSteaM3dSerial',
-		516 : 'PigSteaM3dParallel',
-		517 : 'PigSteaP3dSerial',
-		518 : 'PigSteaP3dParallel',
-		519 : 'PigSteaS3dSerial',
-		520 : 'PigSteaS3dParallel',
-		521 : 'PigCMBS3dSerial',
-		522 : 'PigCMBS3dparallel',
-		523 : 'PigCMDragP3dSerial',
-		524 : 'PigCMDragP3dparallel',
-		525 : 'PigCMDragSteaM3dSerial',
-		526 : 'PigCMDragSteaM3dparallel',
-		527 : 'PigBamgMesh',
-		529 : 'PigTherTranSUPGSerial',
-		530 : 'PigTherTranSUPGParallel',
-		531 : 'PigTherSteaSUPGSerial',
-		532 : 'PigTherSteaSUPGParallel',
-		601 : '79NorthProg2dSerial',
-		602 : '79NorthProg2dParallel',
-		603 : '79NorthProg2dDGSerial',
-		604 : '79NorthProg2dDGParallel',
-		605 : '79NorthProg3dSerial',
-		606 : '79NorthProg3dParallel',
-		607 : '79NorthSurfSlop2dSerial',
-		608 : '79NorthSurfSlop2dParallel',
-		609 : '79NorthSurfSlop3dSerial',
-		610 : '79NorthSurfSlop3dParallel',
-		611 : '79NorthBedSlop2dSerial',
-		612 : '79NorthBedSlop2dParallel',
-		613 : '79NorthBedSlop3dSerial',
-		614 : '79NorthBedSlop3dParallel',
-		615 : '79NorthBalThic2dSerial',
-		616 : '79NorthBalThic2dParallel',
-		617 : '79NorthBalThic2dDGSerial',
-		618 : '79NorthBalThic2dDGParallel',
-		619 : '79NorthBalThic3dSerial',
-		620 : '79NorthBalThic3dParallel',
-		621 : '79NorthCMBalThic2dCGSerial',
-		622 : '79NorthCMBalThic2dCGParallel',
-		623 : '79NorthCMBalThic2dDGSerial',
-		624 : '79NorthCMBalThic2dDGParallel',
-		625 : '79NorthCMBalThicVxVyParallel',
-		626 : '79NorthCMBalThicVxVySerial',
+		101 : 'SquareShelfConstrainedDiagM2d',
+		102 : 'SquareShelfConstrainedDiagM3d',
+		103 : 'SquareShelfConstrainedDiagP3d',
+		104 : 'SquareShelfConstrainedDiagS3d',
+		105 : 'SquareShelfConstrainedProg2d',
+		106 : 'SquareShelfConstrainedProg2dDG',
+		107 : 'SquareShelfConstrainedProg3d',
+		108 : 'SquareShelfConstrainedTherStea',
+		109 : 'SquareShelfConstrainedTherTran',
+		110 : 'SquareShelfConstrainedTranM2d',
+		111 : 'SquareShelfConstrainedTranP3d',
+		112 : 'SquareShelfConstrainedSurfSlop2d',
+		113 : 'SquareShelfConstrainedSurfSlope3d',
+		114 : 'SquareShelfConstrainedBedSlop2d',
+		115 : 'SquareShelfConstrainedBedSlop3d',
+		116 : 'SquareShelfConstrainedBalThic2d',
+		117 : 'SquareShelfConstrainedBalThic3d',
+		118 : 'SquareShelfConstrainedBalThic2dDG',
+		119 : 'SquareBamgMesh',
+		120 : 'SquareShelfConstrainedEnthalpyStea',
+		121 : 'SquareShelfConstrainedEnthalpyTran',
+		122 : 'SquareShelfConstrainedTransP3dEnth',
+		201 : 'SquareShelfDiagM2d',
+		202 : 'SquareShelfDiagM3d',
+		203 : 'SquareShelfDiagP3d',
+		204 : 'SquareShelfDiagS3d',
+		205 : 'SquareShelfDiagMP3dPenalties',
+		206 : 'SquareShelfTherStea',
+		207 : 'SquareShelfTherTran',
+		208 : 'SquareShelfTranM2d',
+		209 : 'SquareShelfTranM3d',
+		210 : 'SquareShelfTranP3d',
+		211 : 'SquareShelfTranS3d',
+		212 : 'SquareShelfCMBM2d',
+		213 : 'SquareShelfCMBM3d',
+		214 : 'SquareShelfCMBP3d',
+		215 : 'SquareShelfCMBS3d',
+		216 : 'SquareShelfDiagM2dRift',
+		217 : 'SquareShelfConstrained',
+		218 : 'SquareShelfConstrainedDakotaB',
+		219 : 'SquareShelfDiagMP3dTiling',
+		220 : 'SquareShelfDiagPS3dTiling',
+		221 : 'SquareShelfDiagMS3dTiling',
+		222 : 'SquareShelfDiagM2dTransientIncrHydro',
+		223 : 'SquareShelfDiagM2dTransientIncrNonHydro',
+		224 : 'SquareShelfDiagP3dTransientIncrHydro',
+		225 : 'SquareShelfDiagP3dTransientIncrNonHydro',
+		226 : 'SquareShelfTranCflM2d',
+		227 : 'SquareShelfTranCflP3d',
+		228 : 'SquareShelfTranForceNeg2d',
+		229 : 'SquareShelfTranForcePos2d',
+		230 : 'SquareShelfTranForceNeg3d',
+		231 : 'SquareShelfTranForcePos3d',
+		232 : 'SquareShelfTherTranForcTemp',
+		233 : 'SquareShelfTranP3dForcTemp',
+		234 : 'SquareShelfTranForceNeg2dDakotaSamp',
+		235 : 'SquareShelfTranForceNeg2dDakotaLocal',
+		236 : 'SquareShelfTranIspddIsdeltaM2d',
+		237 : 'SquareShelfTranIspddIsdeltaM3d',
+		301 : 'SquareSheetConstrainedDiagM2d',
+		302 : 'SquareSheetConstrainedDiagH2d',
+		303 : 'SquareSheetConstrainedDiagHM2d',
+		304 : 'SquareSheetConstrainedDiagM3d',
+		305 : 'SquareSheetConstrainedDiagH3d',
+		306 : 'SquareSheetConstrainedDiagHM3d',
+		307 : 'SquareSheetConstrainedDiagP3d',
+		308 : 'SquareSheetConstrainedDiagS3d',
+		309 : 'SquareSheetConstrainedProg2d',
+		310 : 'SquareSheetConstrainedProg2dDG',
+		311 : 'SquareSheetConstrainedProg3d',
+		312 : 'SquareSheetConstrainedTherStea',
+		313 : 'SquareSheetConstrainedTherTran',
+		314 : 'SquareSheetConstrainedTranH2d',
+		315 : 'SquareSheetConstrainedTranH3d',
+		316 : 'SquareSheetConstrainedTranM2d',
+		317 : 'SquareSheetConstrainedTranP3d',
+		318 : 'SquareSheetConstrainedSteaH3d',
+		319 : 'SquareSheetConstrainedCMDragM2d',
+		320 : 'SquareSheetConstrainedCMDragM3d',
+		321 : 'SquareSheetConstrainedCMDragP3d',
+		322 : 'SquareSheetConstrainedCMDragS3d',
+		323 : 'SquareSheetConstrainedTranCflM2d',
+		324 : 'SquareSheetConstrainedTranCflH3d',
+		325 : 'SquareSheetConstrainedEnthalpyStea',
+		326 : 'SquareSheetConstrainedEnthalpyTran',
+		327 : 'SquareSheetConstrainedTransP3dEnth',
+		328 : 'SquareSheetConstrainedSmbGradients2d',
+		329 : 'SquareSheetConstrainedSmbGradients3d',
+		401 : 'SquareSheetShelfDiagM2d',
+		402 : 'SquareSheetShelfDiagM3d',
+		403 : 'SquareSheetShelfDiagP3d',
+		404 : 'SquareSheetShelfDiagS3d',
+		405 : 'SquareSheetShelfDiagMP3dPenalties',
+		406 : 'SquareSheetShelfTherStea',
+		407 : 'SquareSheetShelfTherTran',
+		408 : 'SquareSheetShelfTranM2d',
+		409 : 'SquareSheetShelfTranMP3dPenalties',
+		410 : 'SquareSheetShelfSteaM3d',
+		411 : 'SquareSheetShelfSteaP3d',
+		412 : 'SquareSheetShelfDiadM3dDakota',
+		413 : 'SquareSheetShelfDiadM3dDakotaPart',
+		414 : 'SquareSheetShelfDiadM3dDakotaMassFlux',
+		415 : 'SquareSheetShelfCMDragSteaM3d',
+		416 : 'SquareSheetShelfCMDragSteaP3d',
+		417 : 'SquareSheetShelfDiadM3dDakotaSamp',
+		418 : 'SquareSheetShelfDiadM3dDakotaAreaAverage',
+		419 : 'SquareSheetShelfDiagMP3dTiling',
+		420 : 'SquareSheetShelfDakotaScaledResponse',
+		421 : 'SquareSheetShelfDiagPS3dTiling',
+		422 : 'SquareSheetShelfDiagMS3dTiling',
+		423 : 'RoundSheetShelfGLMigrationM2d',
+		424 : 'SquareSheetShelfGroundingLine2dAgressice',
+		425 : 'SquareSheetShelfGroundingLine2dSoft',
+		426 : 'SquareSheetShelfGroundingLine3dAgressice',
+		427 : 'SquareSheetShelfGroundingLine3dSoft',
+		428 : 'SquareSheetShelfDiagM2dNewton',
+		439 : 'SquareSheetShelfDiagP3dNewton',
+		430 : 'SquareSheetShelfDiagS3dNewton',
+		431 : 'SquareSheetShelfSteaEnthalpyM3d',
+		432 : 'SquareSheetShelfSteaEnthalpyP3d',
+		501 : 'PigDiagM2d',
+		502 : 'PigDiagP3d',
+		503 : 'PigDiagS3d',
+		504 : 'PigTranM2d',
+		505 : 'PigTranM3d',
+		506 : 'PigTranP3d',
+		507 : 'PigTranS3d',
+		508 : 'PigSteaM3d',
+		509 : 'PigSteaP3d',
+		510 : 'PigSteaS3d',
+		511 : 'PigCMBS3d',
+		512 : 'PigCMDragP3d',
+		513 : 'PigCMDragSteaM3d',
+		514 : 'PigBamgMesh',
+		515 : 'PigTherTranSUPG',
+		516 : 'PigTherSteaSUPG',
+		601 : '79NorthProg2d',
+		602 : '79NorthProg2dDG',
+		603 : '79NorthProg3d',
+		604 : '79NorthSurfSlop2d',
+		605 : '79NorthSurfSlop3d',
+		606 : '79NorthBedSlop2d',
+		607 : '79NorthBedSlop3d',
+		608 : '79NorthBalThic2d',
+		609 : '79NorthBalThic2dDG',
+		610 : '79NorthBalThic3d',
+		611 : '79NorthCMBalThic2dCG',
+		612 : '79NorthCMBalThic2dDG',
+		613 : '79NorthCMBalThicVxVy',
 		1101 : 'ISMIPAPattyn',
 		1102 : 'ISMIPAStokes',
@@ -320,5 +186,15 @@
 		1502 : 'SquareShelfTranSawTooth3d',
 		1601 : 'SquareShelfM2dRotation',
-		1602 : 'SquareSheetShelfP3dRotation',
+		1602 : 'SquareSheetShelfP3dRotation', 
+		3001 : 'SquareShelfConstrainedDiagM2dAdolc',
+		3002 : 'SquareShelfConstrainedDiagM3dAdolc',
+		3003 : 'SquareShelfConstrainedDiagP3dAdolc',
+		3004 : 'SquareShelfConstrainedDiagS3dAdolc',
+		3005 : 'SquareShelfConstrainedProg2dAdolc',
+		3006 : 'SquareShelfConstrainedProg2dDGAdolc',
+		3007 : 'SquareShelfConstrainedProg3dAdolc',
+		3008 : 'SquareShelfConstrainedTherSteaAdolc',
+		3009 : 'SquareShelfConstrainedTherTranAdolc',
+		3010 : 'SquareShelfConstrainedTranM2dAdolc',
 	}
 
Index: issm/trunk/test/NightlyRun/Makefile
===================================================================
--- issm/trunk/test/NightlyRun/Makefile	(revision 12709)
+++ issm/trunk/test/NightlyRun/Makefile	(revision 13395)
@@ -1,2 +1,2 @@
 clean: 
-	rm -rf *.tar.gz *.bin *.errlog *.outlog  *.outbin *.petsc *.queue *.run valgrind.log* *.bat *.lock
+	rm -rf *.tar.gz *.bin *.errlog *.outlog  *.outbin *.petsc *.queue *.run valgrind.log* *.bat *.lock qmu*
Index: issm/trunk/test/NightlyRun/README
===================================================================
--- issm/trunk/test/NightlyRun/README	(revision 12709)
+++ issm/trunk/test/NightlyRun/README	(revision 13395)
@@ -31,7 +31,6 @@
 6: 79North
 Add the id and testname in IdToName.m (incresing order)
-We try not to create to many .par and .exp files, so try to use the existing ones as much as possible.
+We try not to create too many .par and .exp files, so try to use the existing ones as much as possible.
 To modify some characteristics, do it in the testxxx.m file.
-The testxxx_nightly.m is used to define the parameters you want to check in the nightlyruns.
-Specify the field_names the field_values and the tolerance in this file.
-Don't forget to commit the archive (Archivexxx in ../Archives)
+Specify the field_names the field_values and the tolerance at the end of the test file.
+Don't forget to commit the archive (Archivexxx.nc in ../Archives)
Index: issm/trunk/test/NightlyRun/ad.m
===================================================================
--- issm/trunk/test/NightlyRun/ad.m	(revision 13395)
+++ issm/trunk/test/NightlyRun/ad.m	(revision 13395)
@@ -0,0 +1,26 @@
+md=triangle(model,'../Exp/Square.exp',50000);
+md=setmask(md,'all','');
+md=parameterize(md,'../Par/SquareShelfConstrained.par');
+md=setflowequation(md,'macayeal','all');
+md.cluster=generic('name',oshostname(),'np',3);
+md.diagnostic.requested_outputs=StressTensorEnum;
+md.autodiff.isautodiff=true;
+md.autodiff.independents={'Thickness','Surface'};
+md.autodiff.dependents={'IceVolume'};
+%md=solve(md,TransientSolutionEnum);
+md=solve(md,PrognosticSolutionEnum);
+
+%Fields and tolerances to track changes
+field_names     ={'Vx','Vy','Vel','Pressure',...
+	'StressTensorxx','StressTensoryy','StressTensorxy'};
+field_tolerances={1e-13,1e-13,1e-13,1e-13,...
+	1e-13,1e-13,1e-13};
+field_values={...
+	(md.results.TransientSolution.Vx),...
+	(md.results.TransientSolution.Vy),...
+	(md.results.TransientSolution.Vel),...
+	(md.results.TransientSolution.Pressure),...
+	(md.results.TransientSolution.StressTensorxx),...
+	(md.results.TransientSolution.StressTensoryy),...
+	(md.results.TransientSolution.StressTensorxy),...
+	};
Index: issm/trunk/test/NightlyRun/runme.m
===================================================================
--- issm/trunk/test/NightlyRun/runme.m	(revision 12709)
+++ issm/trunk/test/NightlyRun/runme.m	(revision 13395)
@@ -17,4 +17,5 @@
 %                      'thermal': validation of thermal tests
 %                      'mesh'   : validation of mesh tests
+%                      'adolc'   : validation of adolc tests
 %                      ...
 %      'procedure'     'check' : run the test (default)
@@ -34,5 +35,5 @@
 
 %Check inputs
-% {{{1
+% {{{
 if nargout>1
 	help runme
@@ -45,12 +46,12 @@
 
 %Process options
-%GET benchmark {{{1
+%GET benchmark {{{
 benchmark=getfieldvalue(options,'benchmark','nightly');
-if ~ismember(benchmark,{'all','nightly','ismip','eismint','thermal','mesh','validation','tranforcing'})
+if ~ismember(benchmark,{'all','nightly','ismip','eismint','thermal','mesh','validation','tranforcing','adolc'})
 	disp('runme warning: benchmark not supported, defaulting to test ''nightly''')
 	benchmark='nightly';
 end
 % }}}
-%GET procedure {{{1
+%GET procedure {{{
 procedure=getfieldvalue(options,'procedure','check');
 if ~ismember(procedure,{'check','update'})
@@ -59,5 +60,5 @@
 end
 % }}}
-%GET output {{{1
+%GET output {{{
 output=getfieldvalue(options,'output','none');
 if ~ismember(output,{'nightly','daily','none'})
@@ -66,17 +67,17 @@
 end
 % }}}
-%GET RANK and NUMPROCS for mutlithreaded runs  {{{1
+%GET RANK and NUMPROCS for mutlithreaded runs  {{{
 rank=getfieldvalue(options,'rank',1);
 numprocs=getfieldvalue(options,'numprocs',1);
 if (numprocs<rank), numprocs=1; end
 % }}}
-%GET ids  {{{1
-list=dir;%use dir, as it seems to act OS independent
+%GET ids  {{{
+flist=dir;%use dir, as it seems to act OS independent
 list_ids=[];
-for i=1:numel(list),
-	if ( strncmp(list(i).name,'test',4) &...                         %File name must start with 'test'
-			strncmp(fliplr(list(i).name),fliplr('.m'),2)&...           %File name must end by '.m'
-			~strcmp(list(i).name,'test.m'))                            %File name must be different than 'test.m'
-		list_ids(end+1)=eval(list(i).name(5:end-2));                  %Keep test id only (skip 'test' and '.m')
+for i=1:numel(flist),
+	if ( strncmp(flist(i).name,'test',4) &...                         %File name must start with 'test'
+			strncmp(fliplr(flist(i).name),fliplr('.m'),2)&...           %File name must end by '.m'
+			~strcmp(flist(i).name,'test.m'))                            %File name must be different than 'test.m'
+		list_ids(end+1)=eval(flist(i).name(5:end-2));                  %Keep test id only (skip 'test' and '.m')
 	end
 end
@@ -87,5 +88,5 @@
 test_ids=intersect(test_ids,list_ids);
 % }}}
-%GET exclude {{{1
+%GET exclude {{{
 exclude_ids=getfieldvalue(options,'exclude',[]);
 exclude_ids=[exclude_ids];
@@ -93,5 +94,5 @@
 test_ids(pos)=[];
 % }}}
-%Process Ids according to benchmarks{{{1
+%Process Ids according to benchmarks{{{
 if strcmpi(benchmark,'nightly'),
 	test_ids=intersect(test_ids,[1:999]);
@@ -104,4 +105,6 @@
 elseif strcmpi(benchmark,'mesh'),
 	test_ids=intersect(test_ids,[1401:1499]);
+elseif strcmpi(benchmark,'adolc'),
+	test_ids=intersect(test_ids,[3001:3010]);
 elseif strcmpi(benchmark,'validation'),
 	test_ids=intersect(test_ids,[1001:1999]);
@@ -124,21 +127,17 @@
 		archive_name=['Archive' num2str(id) ];
 		if strcmpi(procedure,'update'),
-
-			if ~strcmp(oshostname(),'larsen');
-				error(['Nightly run archives must be saved on "larsen" (hostname is "' oshostname() '")']);
-			end
+			delete(['../Archives/' archive_name '.nc'])
 			for k=1:length(field_names),
 				field=field_values{k};
-				eval([ archive_name '_field' num2str(k) ' =  field ;']);
+				% matlab writes the dimensions reversed and matrices transposed into netcdf, so compensate for that
+				nccreate(['../Archives/' archive_name '.nc'],[archive_name '_field' num2str(k)],...
+				         'Dimensions',{[archive_name '_field' num2str(k) '_2'] size(field,2) [archive_name '_field' num2str(k) '_1'] size(field,1)},...
+				         'Format','classic');
+				ncwrite(['../Archives/' archive_name '.nc'],[archive_name '_field' num2str(k)],transpose(field));
 			end
-			eval(['save ../Archives/' archive_name ' ' archive_name '_field*']);
-			disp(sprintf(['File ./../Archives/' archive_name ' saved\n']));
+			disp(sprintf(['File ./../Archives/' archive_name '.nc saved\n']));
 
 		%ELSE: CHECK TEST
 		else,
-
-			%load archive
-			load(['../Archives/' archive_name ]);
-
 			for k=1:length(field_names),
 
@@ -150,5 +149,6 @@
 
 					%compare to archive
-					eval(['archive=' archive_name '_field' num2str(k) ';']);
+					% matlab reads the dimensions reversed and matrices transposed from netcdf, so compensate for that
+					archive=transpose(ncread(['../Archives/' archive_name '.nc'],[archive_name '_field' num2str(k)]));
 					error_diff=full(max(abs(archive(:)-field(:)))/(max(abs(archive))+eps));
 
